Subject: Re: bug#78205: [PATCH] Recenter for the calendar

From: Juri Linkov <[email-masked]>
Date: Mon, 05 May 2025 21:58:42 +0300

>>> Something else: I wonder (I hope this would not be too radical, but):
>>> have you thought about making the mouse wheel scroll the months as well?
>>> Scrolling with the wheel is not useful in the calendar buffer window
>>> anyway (*1), and it would fit nicely with your C-l patch.
>>
>> Scrolling the months with the mouse wheel would be very much appreciated.
>>
>> In a normal buffer <wheel-up/down> scroll vertically, and S-<wheel-up/down>
>> horizontally.  In the calendar the vertical scrolling could move by 3 months,
>> and horizontal by 1 month.
>
> As I said, I'm not a heavy mouse wheel user but I think it would be
> better to scroll by one month with a simple <wheel-up/down> ans by three
> month with S-<wheel-up/down>, no?

Since months are grouped by quarters in a year:

  January, February, March
  April, May, June
  July, August, September
  October, November, and December

scrolling vertically could move to the previous/next group of 3 months.

But this could be made customizable later.

>> Or something like this.  Also M-<wheel-up/down> could support
>> different increments.
>
> It seems that this binding is already used for zooming.

Zooming is with C-<wheel-up/down>.